Subject: Re: [PATCH 0/3]: net: dsa: mt7530: support MT7530 in the MT7621 SoC

From: Andrew Lunn <[email-masked]>
Date: Fri, 30 Nov 2018 14:42:40 +0100

> > 1. TX packets are not getting an IP header checksum via the normal
> >    off-loaded checksumming when in DSA mode. I have to switch off
> >    NETIF_F_IP_CSUM, so the software stack generates the checksum.
> >    That checksum offloading works ok when not using the 7530 DSA driver.
> 
> Hmm.  How do I test this?

If there are no IP checksums in the frame, the receiver will generally
drop the packet.

ethtool -k will show you what features the MAC has in terms of
offloading. So if you see NETIF_F_IP_CSUM, you know the MAC should be
doing it in hardware.

      Andrew